<template>
    <div class="photo">
        <div class="photo-sidebar">
            <ReSidebar
            :side-bar-list="sideList"
            @click="handleSideClick"
            :active-index="activeIndex"
            />
        </div>
      <img v-if="photoNo === 1" src="../../assets/images/pageFour/photo1.webp" alt="">
      <img v-if="photoNo === 2" src="../../assets/images/pageFour/photo2.webp" alt="">
    </div>
  </template>
  
  <script>
  import ReSidebar from "@/components/ReSidebar.vue";
  export default {
    name: "photo",
    components: {
        ReSidebar,
    },
    data() {
      return {
        sideList: [
            {
                name: "照片",
                icon: "ic_photo1",
            },
            {
                name: "相册",
                icon: "ic_photo2",
            },
            {
                name: "相机",
                icon: "ic_photo3",
            },
        ],
        activeIndex: 0,
        photoNo: 1
      }
    },
    methods: {
        handleSideClick(item, index) {
            this.activeIndex = index;
            if(item.icon === "ic_photo1") {
                this.photoNo = 1
            }
            if(item.icon === "ic_photo2") {
                this.photoNo = 2
            }
            if(item.icon === "ic_photo3") {
                this.$router.push("/camera");
                this.$store.commit("bottom/changeBottomBg", true);
                this.$store.commit("bottom/changeSilde", true);
                this.$store.commit("header/changeHeaderDark", true);
            }
        },
    }
  };
  </script>
  
  <style scoped lang="scss">
  .photo {
    width: 100%;
    height: 100%;
    padding-top: 46px;
    background: #f0f3f7;
    box-sizing: border-box;
    padding-bottom: 86px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .photo-sidebar{
        width: 229px;
        height: 600px;
    }
    img {
        pointer-events: none;
        width: calc(100% - 249px);
        height: 100%;
        object-fit: cover;
    }
  }
  </style>